﻿package
{
	import flash.display.Sprite;
	import flash.events.Event;
	import flash.utils.setInterval;
	public class Genever extends Sprite
	{
		private var points:Array = new Array();
		private var numPoints:Number = 80;
		private var gravity:Number = 0.09;
		public function Genever()
		{
			addEventListener(Event.ADDED_TO_STAGE,addedHandler);
		}
		private function addedHandler(e:Event):void
		{
			addEventListener(Event.ENTER_FRAME,enterHandler);
		}
		private function enterHandler(e:Event):void
		{
			addPoint();
			update();
			draw();
		}
		private function addPoint():void
		{
			var point:Object;
			if(points.length<numPoints){
			point = {};
			initPoint(point);
			points.push(point);
			}
		}
		private function initPoint(p:Object):void
		{
			p.x = stage.stageWidth/2;
			p.y = stage.stageHeight/2;
			p.vx = Math.random()*9-3*(mouseX/100);
			p.vy = Math.random()*8-5*(mouseY/100);
			p.radius = Math.random()*2*70;
		}
		private function update():void
		{
			for(var i:Number = 0;i< points.length;i++){
				points[i].vy += gravity;
				points[i].x += points[i].vx;
				points[i].y+= points[i].vy;
				if(points[i].x>stage.stageWidth || points[i].x < 0 || points[i].y >stage.stageHeight || points[i].y < 0){
				initPoint(points[i]);
				}
			}
		}
		
		private function draw():void
		
		{
			this.graphics.clear();
			for(var i:Number = 0;i<points.length;i++){
				this.graphics.beginFill(0xffffff,.2);
				this.graphics.drawCircle(points[i].x,points[i].y,points[i].radius);
				this.graphics.endFill();
			}
		}
	}
}